WorldFirst DocsWorldFirst Docs

Delete cardholder需要签名验签

POST /amsin/api/v1/business/worldcard/deleteCardholder

Call this API to delete the cardholder with the corresponding ID.

Structure

A message consists of a header and body. For details, see the following sections.

Request header

Field

Required

Sample

Description

Client-Id

Yes

Client-Id: *****

Signature

Yes

Signature: algorithm=RSA256, keyVersion=2, signature=*****

Content-Type

Yes

Content-Type: application/json; charset=UTF-8

Request-Time

Yes

Request-Time: 2019-04-04T12:08:56+08:00

Connected-AccountId

Conditional

Connected-AccountId: *****

Attention

Required when a partner manages a customer's account.

Access-Token

Conditional

Access-Token: ******

Attention

Required for OAUTH authorization. Refer to applyToken.


Request parameters

requestId String  REQUIRED

The unique ID defined by the Partner to identify the request, which ensures idempotency.

cardholderId String  REQUIRED

Unique Identifier for cardholder.

Response parameters

result Result  REQUIRED

The result of the API call.

Show child parameters

requestId String  REQUIRED

The unique ID defined by the Partner to identify the request, which ensures idempotency.

cardholderId String  REQUIRED

Unique Identifier for cardholder.

API Explorer

Request

URL
Request Body

Response

Response Body

Response Handling

After the integrator calls the API, WorldFirst returns the API call result. The result.resultStatus field has the following values:

result.resultStatus

Description

S

The API request is successful.

F

The API request failed. For the failure reason, see the result code (result.resultCode and result.resultMessage).

U

When the API response result is UNKNOWN, retry the API request. Retry strategy:
+ Maximum retries: 7
+ Retry intervals: 5 minutes, 10 minutes, 20 minutes, 40 minutes, 80 minutes, 160 minutes, 320 minutes
If the issue persists, contact WorldFirst technical support.

result.resultCode: Result Codes

CodeValueMessageFurther action
SUCCESSSSuccess
PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, or an invalid date.

Refer to the API documentation page to verify that the request headers and parameters are correct.

SYSTEM_ERRORFSystem error.

Do not retry. Contact WorldFirst technical support for details.

SERVICE_NOT_ALLOWEDFService not allowed.

Retry with the correct information. If the issue persists, contact WorldFirst technical support for assistance.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

Server error. If the issue persists after retrying later, contact WorldFirst technical support for assistance.

REQUEST_TRAFFIC_EXCEED_LIMITUThe request traffic exceeds the limit.

Retry. If the issue persists, contact WorldFirst technical support.

OAUTH_FAILFOAuth process failed.

Contact WorldFirst technical support for details.

INVALID_APIFThe called API is invalid or not active.

Verify that the correct API is being called.

INVALID_CLIENTFThe client is invalid.

The Client ID does not exist or is invalid.

INVALID_SIGNATUREFThe signature is invalid.

Verify that the request is correctly signed.

METHOD_NOT_SUPPORTEDFThe server does not implement the requested HTTP method.

Verify that the HTTP request method is POST.

CONTRACT_CHECK_FAILFThe contract check has failed.

Contact WorldFirst technical support to check the contract status before retrying.